GNU Ed Symlink Vulnerability

Bugtraq ID: 2095
Class: Race Condition Error
CVE:
Remote: Unknown
Local: Yes
Published: Nov 29 2000 12:00AM
Updated: Nov 29 2000 12:00AM
Credit: Discovered by Alan Cox and reported to bugtraq in advisories from several Linux vendors.
Vulnerable: GNU Ed 2.18 .0
+ Redhat Linux 7.0
+ Redhat Linux 6.0 x
+ Redhat Linux 5.x
GNU Ed 2.18
+ Debian Linux 2.3
+ Debian Linux 2.2
GNU Ed 2.16 tr
- Trustix Secure Linux 1.2
- Trustix Trustix Secure Linux 1.1
- Trustix Trustix Secure Linux 1.0
GNU Ed 2.15
+ Mandriva Linux Mandrake 7.2
+ Mandriva Linux Mandrake 7.1
+ Mandriva Linux Mandrake 7.0
+ Mandriva Linux Mandrake 6.1
+ Mandriva Linux Mandrake 6.0
Gentoo Linux
Not Vulnerable: GNU Ed 2.19
+ Redhat Linux 7.0
+ Redhat Linux 6.0 x
+ Redhat Linux 5.0
GNU Ed 2.18.1
+ Debian Linux 2.3
+ Debian Linux 2.2
GNU Ed 2.17 tr
- Trustix Secure Linux 1.2
- Trustix Secure Linux 1.1
- Trustix Trustix Secure Linux 1.0
GNU Ed 2.15.1
+ Mandriva Linux Mandrake 7.2
+ Mandriva Linux Mandrake 7.1
+ Mandriva Linux Mandrake 7.0
+ Mandriva Linux Mandrake 6.1
+ Mandriva Linux Mandrake 6.0


 

Privacy Statement
Copyright 2010, SecurityFocus